Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.event
Class Event

    java.lang.Object
      org.blojsom.event.Event

Direct Known Subclasses:
  AuthorizationEvent, CategoryEvent, EntryEvent, ProcessRequestEvent, ResponseSubmissionEvent

public class Event
extends java.lang.Object

Event

Since:
  blojsom 3.0
Version:
  $Id: Event.java,v 1.1 2006/03/20 21:31:13 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`protected boolean` | `_eventHandled`
`protected java.lang.Object` | `_source`
`protected java.util.Date` | `_timestamp`

Constructor Summary
`Event(java.lang.Object source, java.util.Date timestamp)` Create a new event.

Method Summary
`java.lang.Object` | `getSource()` Retrieve the source of the event
`java.util.Date` | `getTimestamp()` Retrieve the timestamp when the event occurred
`boolean` | `isEventHandled()` Check to see if the event has already been handled or not
`void` | `setEventHandled(boolean eventHandled)` Set whether or not the event has been handled

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _source

    protected java.lang.Object _source

### _timestamp

    protected java.util.Date _timestamp

### _eventHandled

    protected boolean _eventHandled

Constructor Detail

### Event

    public Event(java.lang.Object source,
                 java.util.Date timestamp)

  Create a new event.

Parameters:
  `source` - Source of the event
  `timestamp` - Event timestamp

Method Detail

### getSource

    public java.lang.Object getSource()

  Retrieve the source of the event

  Returns:
    Event source

### getTimestamp

    public java.util.Date getTimestamp()

  Retrieve the timestamp when the event occurred

  Returns:
    Event timestamp

### isEventHandled

    public boolean isEventHandled()

  Check to see if the event has already been handled or not

  Returns:
    `true` if the event has been handled, `false` otherwise

### setEventHandled

    public void setEventHandled(boolean eventHandled)

  Set whether or not the event has been handled

  Parameters:
    `eventHandled` - `true` if the event has been handled, `fasle` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD